import Head from "next/head";
import Image from "next/image";
import { Inter } from "@next/font/google";
import Navbar from "../components/Navbar";
import { useEffect, useState } from "react";
import SchoolCard from "../components/SchoolCaard";
import { useRouter } from "next/router";

const inter = Inter({ subsets: ["latin"] });

export default function Home() {
  const [schools, setSchools] = useState([]);
  let router = useRouter();
  const {search} = router.query;
  // const {id} =  router.query;

  function getSchool() {
    var requestOptions = {
      method: "GET",
      redirect: "follow",
    };

    if(search && search != ""){
      return fetch(`http://localhost:3000/api/school?q=${search}`, requestOptions)
        .then((response) => response.json())
        .catch((error) => {});
    }else{
      return fetch(`http://localhost:3000/api/school`, requestOptions)
        .then((response) => response.json())
        .catch((error) => {});

    }

  }

  async function InitSchools() {
    let schools = await getSchool();
    if (schools.status === 200) {
      setSchools(schools.data);
    }
  }

  useEffect(() => {
    // if(!search && search != ''){
    //   return;
    // }
    InitSchools();
    // setSchools([
    //   {
    //     url: "https://www.apple.com/newsroom/images/product/mac/standard/Apple_MacBook-Pro_16-inch-Screen_10182021_big_carousel.jpg.large.jpg",
    //     name: `SMAK Frateran Surabaya`,
    //   },
    //   {
    //     url: "https://www.apple.com/newsroom/images/product/mac/standard/Apple_MacBook-Pro_16-inch-Screen_10182021_big_carousel.jpg.large.jpg",
    //     name: `SMPK Angelus Custos`,
    //   },
    //   {
    //     url: "https://www.apple.com/newsroom/images/product/mac/standard/Apple_MacBook-Pro_16-inch-Screen_10182021_big_carousel.jpg.large.jpg",
    //     name: `SDK St. Xaverius`,
    //   },
    //   {
    //     url: "https://www.apple.com/newsroom/images/product/mac/standard/Apple_MacBook-Pro_16-inch-Screen_10182021_big_carousel.jpg.large.jpg",
    //     name: `SMAK St. Louis 1`,
    //   },
    //   {
    //     url: "https://www.apple.com/newsroom/images/product/mac/standard/Apple_MacBook-Pro_16-inch-Screen_10182021_big_carousel.jpg.large.jpg",
    //     name: `SMA Kr. Gloria`,
    //   },
    // ]);
  }, [search]);
  return (
    <>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main>
        <Navbar />
        <div class="realative flex min-h-screen flex-row bg-gray-100 text-gray-800">
          <aside class="sidebar w-64 -translate-x-full transform bg-white p-4 transition-transform duration-150 ease-in md:translate-x-0 md:shadow-md">
            <div class="my-4 w-full border-b-4 border-indigo-100 text-center">
              <span class="font-mono text-xl font-bold tracking-widest">
                {" "}
                <span class="text-indigo-600">Filter</span>{" "}
              </span>
            </div>
            <div class="my-4">
              <fieldset class="mb-5">
                <span className="font-bold text-lg">Level</span>

                <div class="flex items-center items-start mb-4">
                  <input
                    id="checkbox-1"
                    aria-describedby="checkbox-1"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-1"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Sekolah Dasar{" "}
                  </label>
                </div>

                <div class="flex items-start items-center mb-4">
                  <input
                    id="checkbox-2"
                    aria-describedby="checkbox-2"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-2"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Sekolah Menengah Pertama
                  </label>
                </div>

                <div class="flex items-start items-center mb-4">
                  <input
                    id="checkbox-3"
                    aria-describedby="checkbox-3"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-3"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Sekolah Menengah Akhir
                  </label>
                </div>
              </fieldset>

              <fieldset class="mb-5">
                <span className="font-bold text-lg">Area</span>

                <div class="flex items-center items-start mb-4">
                  <input
                    id="checkbox-1"
                    aria-describedby="checkbox-1"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-1"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Sumatera{" "}
                  </label>
                </div>

                <div class="flex items-start items-center mb-4">
                  <input
                    id="checkbox-2"
                    aria-describedby="checkbox-2"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-2"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Jawa
                  </label>
                </div>

                <div class="flex items-start items-center mb-4">
                  <input
                    id="checkbox-3"
                    aria-describedby="checkbox-3"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-3"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Kalimantan
                  </label>
                </div>

                <div class="flex items-start items-center mb-4">
                  <input
                    id="checkbox-3"
                    aria-describedby="checkbox-3"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-3"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Bali
                  </label>
                </div>

                <div class="flex items-start items-center mb-4">
                  <input
                    id="checkbox-3"
                    aria-describedby="checkbox-3"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-3"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Sulawesi
                  </label>
                </div>

                <div class="flex items-start items-center mb-4">
                  <input
                    id="checkbox-3"
                    aria-describedby="checkbox-3"
                    type="checkbox"
                    class="bg-gray-50 border-gray-300 focus:ring-3 focus:ring-blue-300 h-4 w-4 rounded"
                  />
                  <label
                    for="checkbox-3"
                    class="text-sm ml-3 font-medium text-gray-900"
                  >
                    Papua
                  </label>
                </div>
              </fieldset>
            </div>
          </aside>
          <main class="main -ml-48 flex flex-grow flex-col p-4 transition-all duration-150 ease-in md:ml-0">
            <div class="flex justify-center bg-white text-center font-bold shadow-md flex-wrap">
              {schools.map((school, index) => {
                return SchoolCard(school);
              })}
            </div>
          </main>
        </div>
      </main>
    </>
  );
}
